Bug 216403 - Garbled screen when installing over serial console in text mode
Garbled screen when installing over serial console in text mode
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 04:37 EST by Tomasz Kepczynski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 13:05:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot before starting stage2 anaconda (22.27 KB, image/png)
2006-11-20 04:37 EST, Tomasz Kepczynski
no flags Details
screenshot before starting stage2 anaconda (22.26 KB, image/png)
2006-11-20 04:37 EST, Tomasz Kepczynski
no flags Details
screenshot after starting stage2 anaconda (23.04 KB, image/png)
2006-11-20 04:38 EST, Tomasz Kepczynski
no flags Details
screenshot after starting stage2 anaconda (26.54 KB, image/png)
2006-11-20 04:39 EST, Tomasz Kepczynski
no flags Details
screenshot after starting stage2 anaconda (27.42 KB, image/png)
2006-11-20 04:39 EST, Tomasz Kepczynski
no flags Details

  None (edit)
Description Tomasz Kepczynski 2006-11-20 04:37:03 EST
Description of problem:
Installation over serial console presents garbled screens
when text mode is used. cmdline is a bit better (from a point
where it is effective). Adding "serial" parameter does not help.

How reproducible:
always

Steps to Reproduce:
I start kickstart install over a network with the following
parameters in grub.conf:
kernel /tftpboot/tkepczyn/pxelinux/FC6.i386/vmlinuz console=ttyS0,9600n8 serial
ip=dhcp ksdevice=link
ks=nfs:gklab-59-001.igk.intel.com:/srv/nfs/install/linux/Fedora/6/ks/blade-i386.cfg
initrd /tftpboot/tkepczyn/pxelinux/FC6.i386/initrd.img
Kickstart file contains:
lang en_US.UTF-8
keyboard us
(I guess only these options are of interest here).
Minicom is started on remote host where locale is set to en_US.UTF-8.
Local host where remote session to host with minicom is started has locale
pl_PL.UTF-8. SSH is used for remote session.
I file this on anaconda but minicom may be causing this problem here
as well.

Actual results:
Garbled screem (see attachments)

Expected results:
Clean screen with no garbage
Comment 1 Tomasz Kepczynski 2006-11-20 04:37:03 EST
Created attachment 141629 [details]
screenshot before starting stage2 anaconda
Comment 2 Tomasz Kepczynski 2006-11-20 04:37:59 EST
Created attachment 141630 [details]
screenshot before starting stage2 anaconda
Comment 3 Tomasz Kepczynski 2006-11-20 04:38:33 EST
Created attachment 141631 [details]
screenshot after starting stage2 anaconda
Comment 4 Tomasz Kepczynski 2006-11-20 04:39:04 EST
Created attachment 141632 [details]
screenshot after starting stage2 anaconda
Comment 5 Tomasz Kepczynski 2006-11-20 04:39:35 EST
Created attachment 141633 [details]
screenshot after starting stage2 anaconda
Comment 6 Jeremy Katz 2006-11-28 13:05:43 EST
You need to use a terminal emulator that properly supports UTF8 (eg, ckermit)

Note You need to log in before you can comment on or make changes to this bug.